<?php
/**
 *	Project:	Quicty: Quick application build environment depends on PEAR and Smarty
 *	File:		myQuicty.php
 *
 *	@copyright	Tomoyuki Negishi and ZubaPitaTech, Inc.
 *	@author		Tomoyuki Negishi <tomoyu-n@zubapita.jp>
 *	@license	http://www.opensource.org/licenses/bsd-license.php The BSD License
 *	@package	Quicty
 *	@version	$Id:$
 */

require_once 'Quicty/Quicty.php';

// {{{ myQuicty
/**
 *	myQuicty class
 *
 *	@author		Tomoyuki Negishi <tomoyu-n@zubapita.jp>
 *	@access		public
 *	@package	Quicty
 */
class myQuicty extends  Quicty {

public function pre_dispatch_index() {
	/*
	$_AUTH = $this->new_auth_obj('auth.set.conf');
	$this->user = $_AUTH->get_user_data();
	if($this->user['authorized']===false) {
		$this->user['handle'] = '¥²¥¹¥È';
		$this->user['level'] = 0;
	}
	$this->assign('user',$this->user);
	*/
	return true;
}

public function dispatch_index() {
	return $this->display($this->current_template);
}

public function post_dispatch_index() {
	return true;
}

} // end of class myQuicty
// }}}

?>